﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ProcessMapViewer.aspx.cs" Inherits="ProcessMapViewer" %>
<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Reference Page="DocumentViewer.aspx" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>Agility UserSuite - </title>
    <style type="text/css">
        body, form
        {
            height: 100%;
            margin: 0px;
            padding: 0px;
            overflow: hidden;
        }
        html
        {
            height: 100%;
            margin: 0px;
            padding: 0px;
            overflow-y: hidden;
            overflow-x: auto;
        }
    </style>

    <script type="text/JavaScript">

        function ChangeImageOnRollover(controlName, onOrOff)
        {
            document.getElementById(controlName + "Left").innerHTML = "<img src='' />";
            document.getElementById(controlName + "Middle").className = "";
            document.getElementById(controlName + "Right").innerHTML = "<img src='' />";
        }

        function SplitterLoaded(splitter, arg)
        {
            var pane = splitter.getPaneById('<%= TopPane.ClientID %>');
            if (!pane.get_collapsed())
            {
                var height = pane.getContentElement().scrollHeight;
                pane.resize(height - pane.get_height());
                //pane.set_height(height);     
            }
        }

        function pageLoad(sender, e)
        {
             checkBrowserWidth();  
        }  
          
    </script>

</head>
<body id="ProcessMapViewerBody">
    <form id="uiProcessMapViewerMainForm" runat="server" method="post">
    <asp:ScriptManager ID="ScriptManager" runat="server" />
    <div id="ParentDivElement" style="height: 100%;" class="ScreenOnly">
        <telerik:RadSplitter ID="MainSplitter" runat="server" Height="100%" Width="100%"
            Orientation="Horizontal" Skin="Default" PanesBorderSize="0" BorderSize="0" OnClientLoaded="SplitterLoaded"
            OnClientBeforeResize="SplitterLoaded" OnClientResized="SplitterLoaded" VisibleDuringInit="false"
            ResizeWithBrowserWindow="true">
            <telerik:RadPane ID="TopPane" runat="server" Height="100" MinHeight="85" MaxHeight="450"
                Scrolling="none">
                <asp:PlaceHolder ID="uiProcessMapHolderHeader" runat="server" />
            </telerik:RadPane>
            <telerik:RadSplitBar ID="RadsplitbarTop" runat="server" CollapseMode="Forward" EnableResize="false"
                Visible="true" />
            <telerik:RadPane ID="MainPane" runat="server" Scrolling="none" MinWidth="500">
                <telerik:RadSplitter ID="NestedSplitter" runat="server" EnableEmbeddedSkins="false"
                    LiveResize="true" Orientation="horizontal" PanesBorderSize="1" BorderSize="0"
                    VisibleDuringInit="false">
                    <telerik:RadPane ID="LeftPane" runat="server" Width="100%" Height="40" MaxHeight="40"
                        MinHeight="40" Scrolling="none">
                        <asp:PlaceHolder ID="uiActionerColorsPlaceHolder" runat="server" />
                    </telerik:RadPane>
                    <telerik:RadPane ID="ContentPane" runat="server" Scrolling="Y" />
                </telerik:RadSplitter>
            </telerik:RadPane>
        </telerik:RadSplitter>
    </div>
    <%--Placeholder for Printing Process Maps--%>
    <asp:PlaceHolder ID="PrintOnly" runat="server" />
    </form>
</body>
</html>
