﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class ProcessMapViewer : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            // KJR - Add 16px for scrollbar width  
            int rightScroll = 16;

            Literal javaScript = new Literal();

            javaScript.Text += "<script type=\"text/javascript\">\n";
            javaScript.Text += "<!--\n";
            javaScript.Text += "    window.onresize = checkBrowserWidth;\n";
            javaScript.Text += "    function checkBrowserWidth()\n";
            javaScript.Text += "    {\n";
            javaScript.Text += "        if(document.documentElement.clientWidth <= " + 500 + ")\n";
            javaScript.Text += "        {\n";
            javaScript.Text += "            document.getElementById('uiColorMainBody').style.width = \"" + (600) + "px\";\n";
            javaScript.Text += "            document.getElementById('uiMapHeaderBody').style.width = \"" + (600) + "px\";\n";
            javaScript.Text += "            document.getElementById('ProcessMapViewerBody').style.width = \"" + (600) + "px\";\n";
            javaScript.Text += "        }\n";
            javaScript.Text += "        else\n";
            javaScript.Text += "        {\n";
            javaScript.Text += "            //document.getElementById('uiColorMainBody').style.width = \"100%\";\n";
            javaScript.Text += "           // document.getElementById('uiMapHeaderBody').style.width = \"100%\";\n";
            javaScript.Text += "            document.getElementById('ProcessMapViewerBody').style.width = \"100%\";\n";
            javaScript.Text += "        }\n";
            javaScript.Text += "    }\n";
            javaScript.Text += "-->\n";
            javaScript.Text += "</SCRIPT>";

            PlaceHolder mainPlaceHolder = new PlaceHolder();
            this.Form.Controls.Add(mainPlaceHolder);
            mainPlaceHolder.Controls.Add(javaScript);
        }

    }
}
